kind: pipeline
name: default

type: docker
steps:
  - name: Build
    image: deukhoofd/dotnet-builder
    commands:
      - export PATH=$PATH:$HOME/dotnet
      - export DOTNET_ROOT=$PATH:$HOME/dotnet
      - dotnet build -c Release
  - name: Tests
    image: deukhoofd/dotnet-builder
    commands:
      - export PATH=$PATH:$HOME/dotnet
      - export DOTNET_ROOT=$PATH:$HOME/dotnet
      - export LD_LIBRARY_PATH=.
      - dotnet test -v n